#!/bin/bash

update-ca-certificates 

rb-site install --noinput --site-root "$SITEROOT" --opt-out-support-data --domain=reviews --db-type=mysql --db-name=reviewboard --db-host="$DBHOST" --db-user="$DBUSER" --db-pass="$DBPASS" --cache-type=file --cache-info=/tmp/rb-cache --web-server-type=apache --web-server-port=80 --admin-user=admin --admin-password="$ADMINPASS" /var/www/reviewboard

chown -R www-data /var/www/reviewboard/data/ /var/www/reviewboard/logs/ /var/www/reviewboard/htdocs/media/uploaded/ /var/www/reviewboard/htdocs/media/ext

cp /var/www/reviewboard/conf/apache-wsgi.conf /etc/apache2/sites-available/reviews.conf
rm /etc/apache2/sites-enabled/*.conf
ln -s /etc/apache2/sites-available/reviews.conf /etc/apache2/sites-enabled/reviews.conf

sed -i -e 's/DEBUG = False/DEBUG = True/' /var/www/reviewboard/conf/settings_local.py

exec apachectl -DFOREGROUND

